
<div class="modal fade job_detail_popup" id="matcher_report" tabindex="-1" role="dialog" aria-labelledby="largeModal" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" >Meytier Matcher Report</h4>
            </div>
            <div class="modal-body" style="height: 85%;" > 
                <div style="display: flex;flex-direction: column">
                        <div>
                            <app-matcher-charts></app-matcher-charts>
                        </div>
            <div style="display: flex">
                <div style="flex: 2;padding: 5px;font-size: 16px">
                    <h3 style="margin-top:0px">Your Profile & Recommended Changes</h3>
                    <hr />
                    <div style="display: flex;justify-content: space-between">
                        <div style="display: flex;margin-right: 5px;width: -webkit-fill-available;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px;flex: 1;">
                            <span style="width: 6px;background: #90d14f;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;margin-right: 10px;"><input type="text" style="width: 100%;border: none;height: 100%"value="Cetera" ></span>
    
                            
                        </div>
                        <div style="display: flex;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px; margin-right: 4px;width: 120px">
                           
                            <div style="padding: 3px 10px;border-left: 6px solid #90d14f">
                                <!-- <input type="date"  [(ngModel)]="fromDate1" (change)="fromDate1Changed()" style="border: none"> -->
                                <div class="input-group" style="display: flex;">
                                        <input class="form-control"  style="border: none; width:75px" placeholder="yyyy-mm-dd"
                                               name="dp" [(ngModel)]="fromdate1" ngbDatepicker #d="ngbDatepicker">
                                        <div class="input-group-append" style="display: inline-block;">
                                          <button class="btn btn-outline-secondary calendar" (click)="d.toggle()" type="button"><i class="fa fa-calendar"></i></button>
                                        </div>
                                      </div>
                                    </div> 
                        </div>
                        <div style="display: flex;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px;
                        margin-right: 4px;width: 28px;">
                           
                            <span style="padding: 3px 10px"> - </span>
                        </div>
                        <div style="display: flex;width: 120px;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px;align-items: center;border-left: 6px solid #90d14f">
                           
                            <span style="padding: 3px 10px;">
                                Present</span>
                        </div>
                        </div>
                    <div style="display: flex;justify-content: space-between">
                            <div style="flex: 1;display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;max-height: 44px;width: -webkit-fill-available;">
                                <span style="width: 6px;margin-right: 3px;background-color: #90d14f"></span> 
                                <span style="padding: 3px 10px;flex: 1;"><input type="text" style="width: 100%;border: none;height: 100%"value="Data Analyst"></span>
                                
                            </div>
                            <div style="width: 280px;">
                                <img style="height: auto;width: 100%;max-width: 100%;max-height: 85%;" src="assets/images/DataScMgmtAnalysis.png"> 
                            </div>
                        </div>
                        <div style="display: flex; flex-direction: column; margin-top: 25px; box-shadow: 0px 0px 8px #d6d6d6;">
                        <div style="flex: 1;display: flex;">
                            <span style="width: 6px;background: #ee7d35;margin-right: 3px;"></span> 
                            <!-- <span style="padding: 3px 10px;flex: 1;border-bottom: 1px solid #d6d6d6"> -->
                                    <!-- <input style="width: 100%;border: none;height: 100%" type="text" value="Worked on a critical data initiative for the company" > </span> -->
                                    <textarea style="width: 100%;border: none;height: 150px;margin: 0px;resize: vertical;" [(ngModel)]='wrongtext1' rows="30" cols="120">                             
                                        </textarea>

                        </div>  
            
                    
                                          
                    </div>
                    <div style="margin-top: 2px;margin-left: 20px; padding-bottom: 5px; font-size: 13px;padding-top: 5px">
                            <span >  
                                <span style="font-weight: bold">MEYTIER RECOMMENDATIONS </span><br />
                                <ul>
                                    <li>Restructure the content to start with ’Lead’ instead of ‘Independently deliver’</li>
                                    <li>Highlight any achievements in this role more explicitly – for example, tangible benefits derived by the organization by the use of your work</li>
                                    <li>Update the skills in your profile for better matching by automated filters</li>
                                </ul>
                                <!-- <i class="fa fa-question-circle"></i > Do you want to say <span style="text-decoration: underline;text-decoration-color: green;"> 'Led'</span> or 'Independently Delivered'?<br />
                                <i class="fa fa-question-circle"></i > Do you wish to highlight any achievemnet in this role more explicitly?<br />
                                <i class="fa fa-question-circle"></i > Changes for better skill matches<br /> -->
                            </span>
                        
                        </div>  
                </div>
                <div style="flex: 1;display: flex;flex-direction: column;padding: 14px 10px;margin-left: 15px;">
                    
                    <div style="margin-top:15px">
                            <div style="display: flex; justify-content: center;align-items: baseline;">
                                    <div style="">
                                        <label><input name="matcherReportdetailsOption" style="margin-right: 5px;vertical-align: top"  type="radio" [value]="1" (change)="filterChangefn()" [(ngModel)]="matcherReportdetailsOption" >Exact Match Only </label>
                                    </div>                
                                    <div style="margin-left: 15px">
                                        <label><input name="matcherReportdetailsOption" style="margin-right: 5px;vertical-align: top" type="radio" [value]="2" (change)="filterChangefn()" [(ngModel)]="matcherReportdetailsOption" >M-Score Match</label>
                                    </div>
                                    <div style="margin-left: 15px" >
                                            <button style="background-color: #f1b125;height: 30px;color: white;box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);padding: 0px 16px;border-radius: 4px"    (click)="matcherReportclearFilter()" >
                                                    Clear
                                            </button> 
                                    </div>
                                        
                                </div>
                                <div style="margin: 15px 15px;display: flex;">
                                        <div style="flex: 1;padding: 5px">
                                            <h3>Skills Asked</h3>
                                            <div *ngFor="let skillask of skillsAsked" style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                                <span [style.background-color]="skillask.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{skillask.skill}}</span>
                                            </div>
                                            
                                        </div>
                                        <div style="flex: 1;padding: 5px;">
                                            <h3> Your Skills</h3>
                                            <div *ngFor="let yourSkill of yourSkills1" style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                                <span [style.background-color]="yourSkill.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{yourSkill.skill}}</span>
                                            </div>
                                        </div>
                                </div>
                    </div>
                </div>
            </div>
            <hr />
            <div style="display: flex">
                    <div style="flex: 2;padding: 5px;font-size: 16px">
                        <div style="display: flex;justify-content: space-between">
                        <div style="display: flex;margin-right: 5px;width: -webkit-fill-available;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px; margin-right: 4px;flex: 1;">
                            <span style="width: 6px;background: #90d14f;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;margin-right: 10px;"><input type="text" style="width: 100%;border: none;height: 100%"value="Envestnet" ></span>
    
                            
                        </div>
                        <div style="display: flex;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px; margin-right: 4px;width: 120px;">
                           
                            <div style="padding: 3px 10px;border-left: 6px solid #90d14f">
                                <!-- <input type="date" value="2016-09-01" style="border: none"> -->
                                <div class="input-group" style="display: flex;">
                                        <input class="form-control" style="border: none; width:75px" placeholder="yyyy-mm-dd"
                                               name="dp" [(ngModel)]="fromdate2" ngbDatepicker #fdate1="ngbDatepicker">
                                        <div class="input-group-append" style="display: inline-block">
                                          <button class="btn btn-outline-secondary calendar" (click)="fdate1.toggle()" type="button"><i class="fa fa-calendar"></i></button>
                                        </div>
                                      </div>
                                    </div> 
                        </div>
                        <div style="display: flex;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px;
                        margin-right: 4px;width: 28px;">
                           
                            <span style="padding: 3px 10px"> - </span>
                        </div>
                        <div style="display: flex;
                        margin-bottom: 11px;
                        box-shadow: 0px 0px 8px #d6d6d6;
                        margin-top: 25px;
                        margin-right: 4px;width: 120px;">
                           
                            <span style="padding: 3px 10px;border-left: 6px solid #90d14f">
                                <!-- <input type="date" value="2017-04-01" style="border: none"> </span> -->
                                <div class="input-group" style="display: flex;">
                                        <input class="form-control"  style="border: none; width:75px" placeholder="mm-dd"
                                               name="dp" [(ngModel)]="todate2" ngbDatepicker #todt2="ngbDatepicker">
                                        <div class="input-group-append" style="display: inline-block">
                                          <button class="btn btn-outline-secondary calendar" (click)="todt2.toggle()" type="button"><i class="fa fa-calendar"></i></button>
                                        </div>
                                      </div>
                                      </span>
                        </div>
                        </div>
                        <div style="display: flex;justify-content: space-between">
                                <div style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;max-height: 44px;flex: 1;">
                                    <span style="width: 6px;margin-right: 3px;background-color: #90d14f"></span> 
                                    <span style="padding: 3px 10px;flex: 1;"><input type="text" style="width: 100%;border: none;height: 100%" value="Intern Data Science Team" ></span>
                                    
                                </div>
                                <div style="width: 280px">
                                    <img style="height: auto;
                                    width: 100%;
                                    max-width: 100%;
                                    max-height: 85%;" src="assets/images/EnggDataSc.png"> 
                                </div>
                            </div>
                            <div style="display: flex; flex-direction: column; margin-top: 25px; box-shadow: 0px 0px 8px #d6d6d6;">
                            <div style="flex: 1;display: flex;">
                                <span style="width: 6px;background: #ee7d35;margin-right: 3px"></span> 
                                        <textarea style="width: 100%;border: none;height: 150px;margin: 0px;resize: vertical;" [(ngModel)]='wrongtext2' rows="30" cols="120">                             
                                            </textarea>
                            </div>  
                
                                           
                        </div>

                        <div style="margin-top: 2px;margin-left: 20px; padding-bottom: 5px; font-size: 13px;padding-top: 5px">
                                <span>   
                                    <span style="font-weight: bold">MEYTIER RECOMMENDATIONS </span><br />
                                    <ul>
                                        <li>Highlight the business context in which your work was used</li>
                                        <li>Update the skills in your profile for better matching by automated filters</li>
                                    </ul>
                                     
                                </span>
                            
                            </div> 
                    </div>
                    <div style="flex: 1;display: flex;flex-direction: column;padding: 30px 10px;margin-left: 15px;">
                        
                        <div style="margin-top:15px">
                                
                                    <div style="margin: 15px 15px;display: flex;">
                                            <div style="flex: 1;padding: 5px">
                                                
                                                <div *ngFor="let skillask of skillsAsked" style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                                    <span [style.background-color]="skillask.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{skillask.skill}}</span>
                                                </div>
                                                
                                            </div>
                                            <div style="flex: 1;padding: 5px;">
                                                
                                                <div *ngFor="let yourSkill of previousRoles1" style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                                    <span [style.background-color]="yourSkill.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{yourSkill.skill}}</span>
                                                </div>
                                            </div>
                                    </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
            <!--<div class="modal-footer">
            <button mat-raised-button color="primary"   matBadgeColor="accent" data-dismiss="modal">
                Close
                </button>

         </div> -->
        </div>
        <div class="modal-footer" style="margin: 15px auto;width: fit-content;position: absolute;top: 90%;width: 100%;text-align: center;background-color: white">
            <span   >
              <button mat-raised-button color="primary"   matBadgeColor="accent" (click)="applyForTheJob()"  data-dismiss="modal" >
                  Apply As Is
              </button> 
              <button style="margin-left: 10px" mat-raised-button color="primary"  (click)="applyForTheJob()" data-dismiss="modal" matBadgeColor="accent"  >
                  Update and Rematch
              </button>
              <input id="selectedFile" style="display: none" type="file" accept=".pdf"/>
              </span>
           </div> 
    </div>
</div>